Menghilangkan Error ‘Cannot adopt OID …’ Pada Composer

Postingan kali ini masih berkutat tentang Composer, yang mana terjadi galat (error) di LAMP di Ubuntu. Salah satu kendalanya terjadi galat yang cukup mengganggu pada saat kita menggunakan Composer tersebut yakni “Cannot adopt OID …“. Meskipun galat tersebut tidak terlalu berpengaruh karena Composer masih dapat mengimpor dependensi dengan sebagai mana mestinya. Hanya saja, dengan adanya tapilan galat tersebut cukup mengganggu atau mungkit tak sedap dipandang mata :D.

Galat (error) tersebut seperti gambar berikut:

composer-error-1

Cukup menggangu bukan?

Salah satu solusi daripada itu adalah Anda menginstal module php5-snmp dan library snmp. Yakni:

sudo apt-get install php5-snmp snmp

Coba Anda jalankan kembali Composer Anda. Sudah hilang kah galat tersebut?

Semoga bermanfaat 😀

Ayo Berlangganan!

Dapatkan pemberitahuan artikel-artikel terbaru super cepat, langsung dari surel Anda.
Lebih dari 320 telah berlangganan situsali.com, ayo segera daftarkan surel Anda sekarang juga!


Leave a Reply